" 묵묵히 갈 길을 갈 수 있는 것도 용기 "

오딘박스(OdinBOX), 혁신을 이룹니다.

이클립스 실행 오류 해결방법(Incompatible JVM)

간지뽕빨리턴씨 2022. 2. 17. 20:31
반응형

이클립스,자바,버전,환경변수,실행오류,실행안됨,JVM,java,오류,에러코드,eclipse

이클립스가 실행이 안되는데 해결 방법은?

프로그램 개발을 하기 위해 사용하고 있는 개발 프로그램 중 이클립스도 많은 분들이 이용하고 있습니다. 이클립스를 사용하면서 은근히 발생하기 쉬운 오류 중 하나를 해결할 수 있는 방법에 대해서 알아보도록 하겠습니다. 혹시나 잘 모르겠다고 생각하시면 이 글을 보고 천천히 따라하시면 해결 할 수 있으니 따라오세요!

"어라? 아까까진 잘 사용하던 이클립스를 실행하려니 안되네요!"

문제 발생 - 오류 메세지

이클립스를 실행 중 오류가 발생했다.

Version 1.8.0_261 of the JVM is not suitable for this product Version: 11 or greater is required.

이 오류의 가장 핵심적인 원인은 자바 버전입니다. 자바 버전을 변경하면 쉽게 해결을 할 수 있습니다.

해결방법

이클립스 설치 폴더로 이동합니다. 보통 따로 경로를 설정하지 않고 설정을 하시면 아래의  경로에 자동으로 설치가 됩니다.

C:\Users\[사용자명]\eclipse\jee-2021-12\eclipse

이클립스 설치 폴더에 보시면 eclipse.ini 파일이 있습니다. 해당 파일을 메모장이나 다른 에디터가 있으면 해당 에디터로 열기를 눌러주시면 됩니다.

해당 파일을 열게 되면 위 빨간색으로 표시해둔 곳을 본인의 설치된 자바 버전으로 설정을 해주시면 됩니다.

 

-Dosgi.requiredJavaVersion=11

-Dosgi.requiredJavaVersion=11

두 부분의 자바 버전을 해당 컴퓨터에 설치된 자바 버전으로 변경 후 실행을 하시면 됩니다. 여기서 중요한 것은 자바  환경변수가 정확히 설정이 되어있는지 확인을 해야 합니다. 자바 환경변수의 설정 방법은 [#]글을 참고하셔서 확인을 하시거나 추가하시면 됩니다. 해당 방법으로 버전을 변경한 후 저장하고 다시 시작하면 정상적으로 이클립스가 실행되는 것을 확인을 할 수 있습니다. 혹시나 환경변수도 제대로 되어있는데 안 되는 경우는 자바 변수를 제일 상단으로 이동하고 실행하면 해결됩니다 간단하고 쉽게 해결할 수 있는 이클립스 오류 중 하나인 실행 오류 해결방법에 대해서 알아보았습니다. 혹시나 궁금하신 사항이 있거나 모르겠는 것은 댓글을 통해 질문해주시면 답변드리도록 하겠습니다!

 

자바 설치와 환경변수 설정 방법

자바,오라클,에러,오류코드,설치,다운로드,환경변수설정방법,썬,프로그램설정 자바 설치부터 환경설정까지 알려드립니다. 자바 프로그래밍 및 기타 프로그래밍 언어 등을 처음 접하는 여러분

odinbox.co.kr

 

1 2 3 4 5 6 7 8 9 10 ··· 92